use strict;

print "nominal labelled fraction of sample: ";
my $f = <STDIN>;

print "labelling efficiency of 15N: ";
my $E15N = <STDIN>;

print "labelling efficiency of 13C: ";
my $E13C = <STDIN>;

my $NA15N = 0.0037;
my $NA13C = 0.01108;

my $numerator = $E13C * $E15N * $f;
$numerator += $NA13C * ($E15N * $f * (1.0 - $E13C) + $NA15N*(1.0 - $f) );
my $denominator = $NA13C + $E13C * $f * (1.0-$NA13C);

printf ("scaling factor = %5.3f\n",$numerator/$denominator);
